Subject: Re: Invoice # 11819
From: "LLPS -Michael B" <[email-masked]>
To: "Joanie Peck" <[email-masked]>
Date: Wed, 30 May 2012 13:59:34 -0400

Joanie,
It appears that there may have been some miscommunication.  I had responded to Todd's email (May 16),  declining services.  I am not certain if he did not pass that information along or if he somehow never received it.  I am truly sorry for any inconvenience this may have caused but I am all set with all of our needs for the open house this weekend.  Thank you.
Sincerely,
Michael B

From: Joanie Peck 
Sent: Wednesday, May 30, 2012 1:47 PM
To: [email-masked] 
Subject: Invoice # 11819 

Hi Mike,

Here is your invoice for tomorrow.  There is no credit card on file
for me to charge out the balance.

If you could call me with a credit card number, that would be great.

Hope you have a great weekend.

Joanie